/**
 * 数据库表格
 */

import { Widget } from '../../../pi/widget/widget';

import { Forelet } from '../../../pi/widget/forelet';
export const forelet = new Forelet();
// tslint:disable-next-line:no-reserved-keywords
declare var module: any;
export const WIDGET_NAME = module.id.replace(/\//g, '-');

// tslint:disable-next-line:completed-docs
export class Table extends Widget {
    props={
        txt:""
    } as Props;
    public ok:() => void;
    public commandInput(event){
        this.props.txt = event.currentTarget.value;
    }
    public exeCommand() {
        let re = /new [a-zA-Z]*\(\)/;
        let rpcName = re.exec(this.props.txt)[0].split(" ")[1]

        // ui中得到rpc路径
        let path = 'management/server/rpc/db_mgr';
        let req = `pi_modules[\"${path + '.s'}\"].exports.${rpcName}`

        let rpc = this.props.txt.replace(rpcName, req);
        console.log("rpc ===: ", rpc)

        // 测试用rpc字符串
        //
        // let p = new MetaInfo();
        // p.ware="file";
        // p.tab="management/server/data/db/user.User";
        // callRpc("management/server/rpc/db_mgr.getTabMetaInfo", p, r => console.log(r));
        //
        
        console.log("rpc path: ", rpcName)
        console.log(this.props.txt);
        eval(rpc);
    }
}

interface Props{
    txt:string;
}