import { Widget } from "../../../../pi/widget/widget";
import { notify } from "../../../../pi/widget/event";

export class Table extends Widget{
    public modify(event: any, index: number) {
        notify(event.node,"ev-table-click-modify",{index});
    }

    public delete(event: any, index: number) {
        notify(event.node,"ev-table-click-delete",{index});
    }
    
    public prevPage(event: any) {
        notify(event.node,"ev-prev-page",{});
    }

    public nextPage(event: any) {
        notify(event.node,"ev-next-page",{});
    }
}
