import { UserAuth } from '../server/data/db/auth.s'
import { Auth, Login } from './rpc/user.s';
import { LogId } from '../server/data/db/log.s';

import { Bucket } from '../utils/db';
import { User } from './data/db/user.s';

/**
 * 入口文件
 */
const hello = () => {
    console.log(" !!!!!! hello world !!!!! ");
}

hello();

const setupAdminAuth = () => {
    let aBkt = new Bucket('file', UserAuth._$info.name)
    let uu = new Auth;
    uu.user = 'admin';
    uu.authList = [0,1,2,3,4,5,6];
    aBkt.put('admin', uu);

    let uBkt = new Bucket('file', User._$info.name)
    let u = new User;
    u.user = 'admin';
    u.pwd = 'admin';
    uBkt.put('admin', u);
}

setupAdminAuth();

const setupLogId = () => {
    let lid = new Bucket('file', LogId._$info.name);
    let logid = new LogId;
    let id = lid.get<string, [LogId]>('admin');
    if(!id || !id[0]) {
        logid.user = 'admin';
        logid.next_id = 1;
        lid.put(logid.user, logid);
    }
}

setupLogId();